#{extends 'border.html'/}
<div class="container">
#{form @katalog.PermohonanPembaruanCtr.createSubmit(), method:'POST', class:'form-horizontal save', enctype:'multipart/form-data'}
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'tambah.label'} &{'permohonan.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
                #{saveButton/}
            </div>
            #{alert /}
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            <input name="pmb.kldi_id" id="kldi_id" type="hidden"/>
            <input name="pmb.kldi_jenis" id="kldi_jenis" type="hidden"/>
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="form-group required">
                        <label class="control-label col-md-3">&{'jenis.label'} &{'komoditas.label'}</label>
                        <div class="col-md-4">
                            <select id="jenis_kldi" name="pmb.jenis_komoditas" class="form-control select2" onchange="clearTable()" required>
                                <option value="">&{'pilih.label'}</option>
                                <option value="nasional">Nasional</option>
                                <option value="lokal">Lokal</option>
                                <option value="sektoral">Sektoral</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group required" id="namaKldi" style="display: none">
                        <label class="control-label col-md-3">&{'nama.label'} &{'klpd.label'}</label>
                        <div class="col-md-6">
                            <div>
                                <input class="form-control" name="namaKldi" id="kldi_nama" type="text" disabled />
                                <span class="help-block"></span>
                            </div>
                            *{<div class="col-md-4">}*
                                *{<input class="form-control" name="namaKldi" id="kldi_nama" type="text" disabled />}*
                                *{<span class="help-block"></span>}*
                            *{</div>}*
                            <div class="panel panel-default">
                                <div class="panel-heading">&{'cari.label'} KLDI</div>
                                <div class="panel-body">
                                    <div class="col-md-12">
                                        <div class="col-md-10">
                                            <input type="text" id="keyword" class="form-control" placeholder="&{'cari.label'}"/>
                                        </div>
                                        <div class="col-md-2">
                                            *{<button type="button" class="btn btn-primary" id="find-kldi"><i class="fa fa-search"></i> &{'cari.label'}</button>}*
                                            <button class="btn btn-primary" type="button" id="btn-cari-kldi" data-action="@{DataTableCtr.cariKldi()}">&{'cari.label'} KLDI</button>
                                        </div>
                                    </div>
                                    <div>
                                        <table class="table table-striped" id="table-kldi">
                                            <thead>
                                                <tr>
                                                    <th>&{'nama.label'}</th>
                                                    <th>&{'jenis.label'}</th>
                                                    <th>&{'aksi.label'}</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-md-3">&{'tipe_permohonan.label'}</label>
                        <div class="col-md-4">
                            <select name="pmb.tipe_permohonan" class="form-control select2" required>
                                <option value="">&{'pilih.label'}</option>
                                #{list tipePermohonanMaps,as:'map'}
                                    <option value="${map.key}">${map.value}</option>
                                #{/list}
                            </select>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="control-label col-md-3">&{'perihal_permohonan.label'}</label>
                        <div class="col-md-4">
                            <textarea name="pmb.deskripsi" class="form-control" rows="10" style="resize: vertical" onkeyup="this.value = this.value.replace(/['~`#$^*|{}]/g, '')" required></textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'unggah_file_pendukung.label'}</label>
                        <div class="col-md-4">
                            <input type='file' name="file" id="file" accept=".pdf,.doc,.docx,.xlx,.xlsx,.zip,.jpg,.jpeg" class="form-control"/>
                        </div><br><br>
                        <div class="col-md-4 col-lg-offset-3">
                            <div class="error-image" style="display: none;"><span style="color: red;">&{'file_ukuran_lebih_dari.label'} 10 MB !</span><br></div>
                            <div class="error-image-extention" style="display: none;"><span style="color: red;">&{'format_file_salah.label'} !</span><br></div>
                            <span style='font-size:20px;'>&#8226;</span> Type : (<span style="color: red">.pdf|.doc|.docx|.xlx|.xlsx|.zip|.jpg|.jpeg</span>)
                            <br>
                            <span style='font-size:20px;'>&#8226;</span> Size : (<span style="color: red"> Max. 10 MB </span>)
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{validationPackage/}
#{set 'moreScripts'}
<script src="@{'/public/javascripts/ladda/spin.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/ladda/ladda.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    $(document).ready(function () {
        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });
    });
</script>

<script type="text/javascript">
    var Privileges = jQuery('#jenis_kldi');
    var select = this.value;
    Privileges.change(function () {
        if ($(this).val() == 'lokal' || $(this).val() == 'sektoral') {
            $('#namaKldi').show();
        }
        else $('#namaKldi').hide(); // hide div if value is not "custom"
    });
</script>

<script type="text/javascript">
    $('#file').bind('change', function() {
        var countError = 0;
        $('.error-image').fadeOut(500);
        $('.error-image-extention').fadeOut(500);

        var fileSize = document.getElementById("file").files[0];
        var sizeInMb = (fileSize.size/1024)/1024;
        var sizeLimit= 10;
        if (sizeInMb > sizeLimit) {
            countError = 1;
            $('.error-image').fadeIn(500);
            $('.error-image-extention').fadeOut();
        }

        var filename = $("#file").val();
        var extension = filename.replace(/^.*\./, '');
        if (extension == filename) {
            extension = '';
        } else {
            extension = extension.toLowerCase();
        }
        switch (extension) {
            case 'pdf':
            case 'doc':
            case 'docx':
            case 'xlx':
            case 'xlsx':
            case 'zip':
            case 'jpg':
            case 'jpeg':
                break;

            default:
                countError = 1;
                $('.error-image').fadeOut(500);
                $('.error-image-extention').fadeIn(500);
        }

        if (countError){
            $('#file').val('');
        }
    });
</script>

<script type="text/javascript">
    $("body").on('click', '#btn-cari-kldi', function () {
        if( $.fn.dataTable.isDataTable('#table-kldi')){
            $("#table-kldi").dataTable().fnDestroy();
        }
        var parameter = "?keyword="+$("#keyword").val()+"&searchType="+$("#jenis_kldi").val();
        $("#table-kldi").dataTable({
            pageLength: 10,
            bFilter: false,
            ajax: {
                url: $(this).data("action") + parameter,
                cache: true},
            order: [[ 1, "asc" ], [ 1, "asc" ]],
            columns: [
                {"searchable": false},
                {"searchable": true},
                {"searchable": false}
            ]
        });
    });

    $("body").on('click', '.kldi-select-button', function (e) {
        e.preventDefault();
        var btn = $(this);
        $(".kldi-select-button").prop("class", "kldi-select-button btn btn-primary btn-xs");
        btn.prop("class", "kldi-select-button btn btn-warning btn-xs")
        $("#kldi_id").val(btn.data("id"));
        $("#kldi_nama").val(btn.data("nama"));
        $("#kldi_jenis").val(btn.data("jenis"));
    });
</script>
<script type="text/javascript">
    function clearTable() {
        $("#table-kldi tr").remove();
        $("#keyword").val("");
        $("#kldi_nama").val("");
        $("#kldi_id").val("");
    }
</script>
#{/set}